Bug 51505 - ObjectDisposedException On Effect detachment.
Summary: ObjectDisposedException On Effect detachment.
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.4
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-13 12:58 UTC by Kevin Petit
Modified: 2017-03-03 12:48 UTC (History)
4 users (show)

See Also:
Tags: ac
Is this bug a regression?: Yes
Last known good build: 2.3.3


Attachments
Exception stacktrace (17.80 KB, image/png)
2017-01-13 13:02 UTC, Kevin Petit
Details

Description Kevin Petit 2017-01-13 12:58:33 UTC
With the latest Xamarin preview 2.3.4.184-pre1 I encounter a regression which affects the effects on the Android platform.

If you try to access to the Control property of an effect in the OnDetached method, this will throw an ObjectDisposedException.


protected override void OnDetached()
{
    Control.Click -= OnClick; // => thrown ObjectDisposedException
}

This code worked in 2.3.3 and I think the regression has been introduced be this pull request : https://github.com/xamarin/Xamarin.Forms/pull/360.
Comment 1 Kevin Petit 2017-01-13 13:02:47 UTC
Created attachment 19321 [details]
Exception stacktrace
Comment 2 Samantha Houts [MSFT] 2017-02-16 19:05:21 UTC
https://github.com/xamarin/Xamarin.Forms/pull/773
Comment 3 Rui Marinho 2017-03-03 12:48:22 UTC
Should be fixed in 2.3.4-pre3

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.